<?php
/**
 * @file
 * hip_news.views_default.inc
 */

/**
 * Implementation of hook_views_default_views().
 */
function hip_news_views_default_views() {
  $export = array();

  $view = new view;
  $view->name = 'hip_news';
  $view->description = 'Display a list of news.';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'News';
  $view->core = 7;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'News';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '3';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['title']['alter']['external'] = 0;
  $handler->display->display_options['fields']['title']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 0;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 0;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['element_type'] = 'span';
  $handler->display->display_options['fields']['title']['element_class'] = 'title';
  $handler->display->display_options['fields']['title']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['title']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['title']['element_default_classes'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 1;
  /* Field: Content: Date */
  $handler->display->display_options['fields']['field_hip_date']['id'] = 'field_hip_date';
  $handler->display->display_options['fields']['field_hip_date']['table'] = 'field_data_field_hip_date';
  $handler->display->display_options['fields']['field_hip_date']['field'] = 'field_hip_date';
  $handler->display->display_options['fields']['field_hip_date']['label'] = '';
  $handler->display->display_options['fields']['field_hip_date']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_hip_date']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_hip_date']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_hip_date']['element_class'] = 'date';
  $handler->display->display_options['fields']['field_hip_date']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['field_hip_date']['element_default_classes'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['type'] = 'date_short';
  $handler->display->display_options['fields']['field_hip_date']['settings'] = array(
    'format_type' => 'short',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  $handler->display->display_options['fields']['field_hip_date']['field_api_classes'] = 0;
  /* Field: Content: Body */
  $handler->display->display_options['fields']['field_hip_body']['id'] = 'field_hip_body';
  $handler->display->display_options['fields']['field_hip_body']['table'] = 'field_data_field_hip_body';
  $handler->display->display_options['fields']['field_hip_body']['field'] = 'field_hip_body';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 0;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'hip_news' => 'hip_news',
  );

  /* Display: Short list */
  $handler = $view->new_display('panel_pane', 'Short list', 'panel_pane_1');
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['title']['alter']['external'] = 0;
  $handler->display->display_options['fields']['title']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 0;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 0;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['element_type'] = 'span';
  $handler->display->display_options['fields']['title']['element_class'] = 'title';
  $handler->display->display_options['fields']['title']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['title']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['title']['element_default_classes'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 1;
  /* Field: Content: Date */
  $handler->display->display_options['fields']['field_hip_date']['id'] = 'field_hip_date';
  $handler->display->display_options['fields']['field_hip_date']['table'] = 'field_data_field_hip_date';
  $handler->display->display_options['fields']['field_hip_date']['field'] = 'field_hip_date';
  $handler->display->display_options['fields']['field_hip_date']['label'] = '';
  $handler->display->display_options['fields']['field_hip_date']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_hip_date']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_hip_date']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_hip_date']['element_class'] = 'date';
  $handler->display->display_options['fields']['field_hip_date']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['field_hip_date']['element_default_classes'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['type'] = 'date_short';
  $handler->display->display_options['fields']['field_hip_date']['settings'] = array(
    'format_type' => 'short',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  $handler->display->display_options['fields']['field_hip_date']['field_api_classes'] = 0;
  $handler->display->display_options['pane_title'] = 'News short list';
  $handler->display->display_options['pane_description'] = 'Display a list of news.';

  /* Display: Full list */
  $handler = $view->new_display('panel_pane', 'Full list', 'panel_pane_2');
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'mini';
  $handler->display->display_options['pager']['options']['items_per_page'] = '5';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all'] = 0;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['title']['alter']['external'] = 0;
  $handler->display->display_options['fields']['title']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 0;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 0;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['element_type'] = 'h3';
  $handler->display->display_options['fields']['title']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['title']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['title']['element_default_classes'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 1;
  /* Field: Content: Date */
  $handler->display->display_options['fields']['field_hip_date']['id'] = 'field_hip_date';
  $handler->display->display_options['fields']['field_hip_date']['table'] = 'field_data_field_hip_date';
  $handler->display->display_options['fields']['field_hip_date']['field'] = 'field_hip_date';
  $handler->display->display_options['fields']['field_hip_date']['label'] = '';
  $handler->display->display_options['fields']['field_hip_date']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_hip_date']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_hip_date']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['element_type'] = 'p';
  $handler->display->display_options['fields']['field_hip_date']['element_class'] = 'date';
  $handler->display->display_options['fields']['field_hip_date']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['field_hip_date']['element_default_classes'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_hip_date']['type'] = 'date_short';
  $handler->display->display_options['fields']['field_hip_date']['settings'] = array(
    'format_type' => 'short',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  $handler->display->display_options['fields']['field_hip_date']['field_api_classes'] = 0;
  /* Field: Content: Body */
  $handler->display->display_options['fields']['field_hip_body']['id'] = 'field_hip_body';
  $handler->display->display_options['fields']['field_hip_body']['table'] = 'field_data_field_hip_body';
  $handler->display->display_options['fields']['field_hip_body']['field'] = 'field_hip_body';
  $handler->display->display_options['fields']['field_hip_body']['label'] = '';
  $handler->display->display_options['fields']['field_hip_body']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_hip_body']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_hip_body']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_hip_body']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_hip_body']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_hip_body']['alter']['trim'] = 1;
  $handler->display->display_options['fields']['field_hip_body']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_hip_body']['alter']['max_length'] = '200';
  $handler->display->display_options['fields']['field_hip_body']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_hip_body']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_hip_body']['alter']['strip_tags'] = 1;
  $handler->display->display_options['fields']['field_hip_body']['alter']['preserve_tags'] = '<a> <strong> <em>';
  $handler->display->display_options['fields']['field_hip_body']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_hip_body']['element_type'] = 'p';
  $handler->display->display_options['fields']['field_hip_body']['element_label_colon'] = 0;
  $handler->display->display_options['fields']['field_hip_body']['element_default_classes'] = 0;
  $handler->display->display_options['fields']['field_hip_body']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_hip_body']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_hip_body']['settings'] = array(
    'trim_length' => '600',
  );
  $handler->display->display_options['fields']['field_hip_body']['field_api_classes'] = 0;
  $handler->display->display_options['pane_title'] = 'News full list';
  $handler->display->display_options['pane_description'] = 'Full list of news with paging.';
  $handler->display->display_options['inherit_panels_path'] = '1';
  $translatables['hip_news'] = array(
    t('Master'),
    t('News'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('Body'),
    t('Short list'),
    t('News short list'),
    t('Display a list of news.'),
    t('View panes'),
    t('Full list'),
    t('Items per page'),
    t('- All -'),
    t('Offset'),
    t('News full list'),
    t('Full list of news with paging.'),
  );
  $export['hip_news'] = $view;

  return $export;
}
