<?php
/**
 * @file
 * hip_page.field_group.inc
 */

/**
 * Implementation of hook_field_group_info().
 */
function hip_page_field_group_info() {
  $export = array();

  $field_group = new stdClass;
  $field_group->api_version = 1;
  $field_group->identifier = 'group_hip_slideshow|node|hip_page|form';
  $field_group->group_name = 'group_hip_slideshow';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'hip_page';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Slideshow',
    'weight' => '3',
    'children' => array(
      0 => 'field_hip_images',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Slideshow',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'collapsed',
    ),
  );
  $export['group_hip_slideshow|node|hip_page|form'] = $field_group;

  return $export;
}
