<?php
/**
 * @file
 * hip_promo.ds.inc
 */

/**
 * Implementation of hook_ds_field_settings_info().
 */
function hip_promo_ds_field_settings_info() {
  $export = array();

  $ds_fieldsetting = new stdClass;
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|hip_promo|default';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'hip_promo';
  $ds_fieldsetting->view_mode = 'default';
  $ds_fieldsetting->settings = array(
    'title' => array(
      'weight' => '0',
      'label' => 'hidden',
      'format' => 'default',
      'formatter_settings' => array(
        'link' => '0',
        'wrapper' => 'h3',
        'class' => '',
      ),
    ),
  );
  $export['node|hip_promo|default'] = $ds_fieldsetting;

  return $export;
}

/**
 * Implementation of hook_ds_layout_settings_info().
 */
function hip_promo_ds_layout_settings_info() {
  $export = array();

  $ds_layout = new stdClass;
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|hip_promo|default';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'hip_promo';
  $ds_layout->view_mode = 'default';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'hide_empty_regions' => 0,
    'regions' => array(
      'ds_content' => array(
        0 => 'title',
        1 => 'field_hip_body',
      ),
    ),
    'fields' => array(
      'title' => 'ds_content',
      'field_hip_body' => 'ds_content',
    ),
    'classes' => array(),
  );
  $export['node|hip_promo|default'] = $ds_layout;

  return $export;
}
