<?php
/**
 * @file
 * hip_promo.features.user_permission.inc
 */

/**
 * Implementation of hook_user_default_permissions().
 */
function hip_promo_user_default_permissions() {
  $permissions = array();

  // Exported permission: administer nodes in block configuration
  $permissions['administer nodes in block configuration'] = array(
    'name' => 'administer nodes in block configuration',
    'roles' => array(
      0 => 'administrator',
    ),
    'module' => 'nodesinblock',
  );

  // Exported permission: administer nodes in block queue
  $permissions['administer nodes in block queue'] = array(
    'name' => 'administer nodes in block queue',
    'roles' => array(
      0 => 'administrator',
      1 => 'editor',
    ),
    'module' => 'nodesinblock',
  );

  // Exported permission: create hip_promo content
  $permissions['create hip_promo content'] = array(
    'name' => 'create hip_promo content',
    'roles' => array(
      0 => 'editor',
    ),
    'module' => 'node',
  );

  // Exported permission: delete any hip_promo content
  $permissions['delete any hip_promo content'] = array(
    'name' => 'delete any hip_promo content',
    'roles' => array(
      0 => 'editor',
    ),
    'module' => 'node',
  );

  // Exported permission: delete own hip_promo content
  $permissions['delete own hip_promo content'] = array(
    'name' => 'delete own hip_promo content',
    'roles' => array(
      0 => 'editor',
    ),
    'module' => 'node',
  );

  // Exported permission: deny configuration on node form
  $permissions['deny configuration on node form'] = array(
    'name' => 'deny configuration on node form',
    'roles' => array(
      0 => 'administrator',
    ),
    'module' => 'nodesinblock',
  );

  // Exported permission: edit any hip_promo content
  $permissions['edit any hip_promo content'] = array(
    'name' => 'edit any hip_promo content',
    'roles' => array(
      0 => 'editor',
    ),
    'module' => 'node',
  );

  // Exported permission: edit own hip_promo content
  $permissions['edit own hip_promo content'] = array(
    'name' => 'edit own hip_promo content',
    'roles' => array(
      0 => 'editor',
    ),
    'module' => 'node',
  );

  return $permissions;
}
